Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackWinAsyncNamedPipeServer Class Reference

Server async named pipe. More...

`#include <JackWinNamedPipe.h>`

Inheritance diagram for Jack::JackWinAsyncNamedPipeServer:

## Public Member Functions
int | Bind (const char *dir, int which)
int | Bind (const char *dir, const char *name, int which)
bool | Accept ()
JackWinNamedPipeClient * | AcceptClient ()
int | Close ()
Public Member Functions inherited from Jack::JackWinNamedPipeServer
int | Close ()
Public Member Functions inherited from Jack::JackWinNamedPipe
| JackWinNamedPipe (HANDLE pipe)
virtual int | Read (void *data, int len)
virtual int | Write (void *data, int len)
Public Member Functions inherited from Jack::JackWinNamedPipeAux
| JackWinNamedPipeAux (HANDLE pipe)

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackWinNamedPipeAux
int | ReadAux (void *data, int len)
int | WriteAux (void *data, int len)
Protected Attributes inherited from Jack::JackWinNamedPipeAux
HANDLE | fNamedPipe
char | fName [256]

## Detailed Description

Server async named pipe.

Definition at line 183 of file JackWinNamedPipe.h.

The documentation for this class was generated from the following files:

- JackWinNamedPipe.h
- JackWinNamedPipe.cpp